<template>
  <div class="card-container">
    <!-- <h2>
      <img
        src="@/assets/icons/charts_statistics.svg"
        alt="Icône tableau statistiques"
      />
      Résumé
    </h2> -->
    <b-avatar
      v-if="thumbnailURL !== '' || (thumbnailURL === '' && !imgFile)"
      icon="image"
      :src="thumbnailURL"
      size="7rem"
    ></b-avatar>
    <img
      v-else-if="imgFile"
      :src="imgFile"
      alt=""
      style="height: 7rem;"
    >
    <h5 v-if="dataset.display_name">
      {{ dataset.display_name }}
    </h5>
    <h5 v-else class="placeholder">
      Nouveau
    </h5>
    <div class="codename">
      <a
        :href="toPortail"
        target="_blank"
      >
        {{ dataset.codename}}
      </a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'DatasetCard',

  props: {
    dataset: {
      type: Object,
      default: () => { return {} }
    },
    img: {
      type: FormData,
      default: null
    }
  },

  computed: {
    thumbnailURL() {
      if (this.dataset.thumbnail && this.dataset.thumbnail.url) {
        return new URL(this.dataset.thumbnail.url, process.env.VUE_APP_DOMAIN).href + `?${new Date().getTime()}`;
      } else {
        return '';
      }
    },

    imgFile() {
      if (this.img) {
        return URL.createObjectURL(this.img.get('file'));
      } else {
        return null;
      }
    },

    toPortail() {
      return `${process.env.VUE_APP_PORTAIL_ROUTE}jeux-de-donnees/${this.dataset.codename}`;
    }
  }
}
</script>

<style lang="less" scoped>
.placeholder {
  color: rgb(196, 196, 196);
}
</style>
